libdir = File.dirname(__FILE__)
$LOAD_PATH.unshift(libdir) unless $LOAD_PATH.include?(libdir)

require 'bundler'
Bundler.require

require 'beaneater'
require 'oj'
require 'money'

# Publisher
require 'spool/publisher'

# Subscriers
require 'spool/subscribers/events_agent_subscriber'
require 'spool/subscribers/redis_pubsub_subscriber'

# Rails things
require 'sidekiq/sidekiq'
require 'rails/rails'
require 'airbrake/airbrake'

# Models
require 'models/account'
require 'models/provider'
require 'models/transaction'

# Strategies core
require 'sidekiq_strategies'