module SidekiqStrategies

  class Base

    def initialize(acc_handler, bns_handler, logger, airbrake_notifier)
      raise 'Error, no implementation'
    end

    def retries_exhausted(msg)
      raise 'Error, no implementation'
    end

    def perform(sidekiq_jid)
      raise 'Error, no implementation'
    end

  end

end