module SidekiqStrategies

  class BeanstalkdHandler
    attr_accessor :connection
    
    TIME_TO_RUN = 600

    def initialize(connection=nil)
      @connection = connection
    end

    def obtain_tube(name)
      conn.tubes[name]
    end

    def find_job(id)
      conn.jobs.find_all(id).shift
    end

    private

    def conn
      @connection ||= Beaneater::Pool.new(host)
    end

    def host
      @host ||= 'localhost:11300'
    end

  end

end